Package com.collibra.dgc.core.api.dto.workflow

# Class AddDomainTypeAssignmentRuleRequest.Builder

Object
Builder

Enclosing class:
  `AddDomainTypeAssignmentRuleRequest`

public static final class AddDomainTypeAssignmentRuleRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddDomainTypeAssignmentRuleRequest`
  `build()`
  `AddDomainTypeAssignmentRuleRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddDomainTypeAssignmentRuleRequest.Builder`
  `communityId(UUID communityId)`
  The ID of the community the assignment rule should apply for.
  `AddDomainTypeAssignmentRuleRequest.Builder`
  `domainTypeId(UUID domainTypeId)`
  Required. The ID of the domain type the added rule should refer to.
  `AddDomainTypeAssignmentRuleRequest.Builder`
  `exactResourceTypeMatch(boolean exactResourceTypeMatch)`
  When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule.
  `String`
  `toString()`
  `AddDomainTypeAssignmentRuleRequest.Builder`
  `workflowDefinitionId(UUID workflowDefinitionId)`
  Required. The ID of the workflow definition containing the assignment rule to be added.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddDomainTypeAssignmentRuleRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddDomainTypeAssignmentRuleRequest.builder()`
    Clone method for this Builder.

  - ### workflowDefinitionId

    public AddDomainTypeAssignmentRuleRequest.Builder workflowDefinitionId(UUID workflowDefinitionId)
    Required. The ID of the workflow definition containing the assignment rule to be added.
    Returns:
      `this`.

  - ### domainTypeId

    public AddDomainTypeAssignmentRuleRequest.Builder domainTypeId(UUID domainTypeId)
    Required. The ID of the domain type the added rule should refer to.
    Returns:
      `this`.

  - ### communityId

    public AddDomainTypeAssignmentRuleRequest.Builder communityId(UUID communityId)
    The ID of the community the assignment rule should apply for.
    Returns:
      `this`.

  - ### exactResourceTypeMatch

    public AddDomainTypeAssignmentRuleRequest.Builder exactResourceTypeMatch(boolean exactResourceTypeMatch)
    When true, the workflow can only be started for a domain if its type matches exactly the domain type defined in this rule. Child domain types are excluded.
    Returns:
      `this`.

  - ### build

    public AddDomainTypeAssignmentRuleRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`